Bug 439299 - Error messages on startup
Error messages on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Liu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 18:52 EDT by Horst H. von Brand
Modified: 2009-07-14 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-03-27 18:52:38 EDT
Description of problem:
When booting, the following message shows up (yes, this is the complete message,
the last line (after "Original exception was:") is blank):

Exception in thread Thread-1 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib/python2.5/threading.py", line 460, in __bootstrap
  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 187,
in run
  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 159,
in analyze_avc
  File "/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 154, in
report_problem
<type 'exceptions.TypeError'>: 'NoneType' object is not callable
Unhandled exception in thread started by
Error in sys.excepthook:

Original exception was:



Version-Release number of selected component (if applicable):
setroubleshoot-server-2.0.6-1.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Dennis 2008-03-28 11:05:58 EDT
Thank you for reporting this. Is there a complete stack trace in
/var/log/setroubleshoot/setroubleshootd.log? If so could you attach it? Thanks.
Comment 2 Horst H. von Brand 2008-03-28 16:20:04 EDT
Nothing like a backtrace in there, just a few entries.

Will look if something shows up next time.
Comment 3 Bug Zapper 2008-05-14 04:21:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Dawes 2008-06-19 14:52:26 EDT
I'm seeing this issue too.  Looking at setroubleshootd.log, there are AVC
denials such as the following:

2008-06-19 14:25:20,065 [program.ERROR] setroubleshoot generated AVC, exiting to
avoid recursion, context=unconfined_u:system_r:setroubleshootd_t:s0, AVC
scontext=unconfined_u:system_r:setroubleshootd_t:s0
2008-06-19 14:25:20,066 [program.ERROR] audit event
host=xxx.yyy.zzz type=AVC msg=audit(1213899919.994:1201): avc:  denied  { write
} for  pid=2440 comm="setroubleshootd" name="rpm" dev=dm-0 ino=997484
scontext=unconfined_u:system_r:setroubleshootd_t:s0
tcontext=system_u:object_r:rpm_var_lib_t:s0 tclass=dir

host=xxx.yyy.zzz type=SYSCALL msg=audit(1213899919.994:1201): arch=40000003
syscall=33 success=no exit=-13 a0=90edfe8 a1=2 a2=79eae4 a3=91015f8 items=0
ppid=1 pid=2440 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=1 comm="setroubleshootd" exe="/usr/bin/python"
subj=unconfined_u:system_r:setroubleshootd_t:s0 key=(null)
Comment 5 Lev Shamardin 2009-01-12 01:54:52 EST
Same thing, with same messages in setroubleshootd.log.
setroubleshoot-2.0.12-3.fc10.noarch

I tried to add this to local policy:
allow setroubleshootd_t rpm_var_lib_t:dir write;
After this I observe this exception when I try to start setroubleshootd:

[root@abbot ~]# /etc/init.d/setroubleshoot start
Starting setroubleshootd:                                  [  OK  ]
[root@abbot ~]# error: db4 error(13) from dbenv->open: Permission denied
error: cannot open Packages index using db3 - Permission denied (13)
error: cannot open Packages database in /var/lib/rpm
Comment 6 Lev Shamardin 2009-01-12 03:28:34 EST
I've made rpm --rebuilddb and removed allow setroubleshootd_t rpm_var_lib_t:dir write; from local policy. Now setroubleshootd seems to work fine, at least it didn't crash for some time yet. Could you please check if this solves your problems? Don't forget to make a backup copy of /var/lib/rpm before running rpm --rebuilddb.
Comment 7 Bug Zapper 2009-06-09 19:54:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:38:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.